# BasicPipe Class Reference

`#include <BasicPipe.h>`

List of all members.

## Public Member Functions

| BasicPipe ()
| ~BasicPipe ()
void | closeOut ()
void | closeIn ()
int | getOutFD ()
int | getInFD ()
void | moveOutFD (int newFD)
void | moveInFD (int newFD)
std::istream * | getOutStream ()
std::ostream * | getInStream ()

## Private Attributes

int | pipeFDs [2]
bool | fdOpen [2]
std::istream * | outStream
std::ostream * | inStream

## Constructor & Destructor Documentation

BasicPipe::BasicPipe | ( |  | ) |

BasicPipe::~BasicPipe | ( |  | ) |

## Member Function Documentation

void BasicPipe::closeIn | ( |  | ) |

void BasicPipe::closeOut | ( |  | ) |

int BasicPipe::getInFD | ( |  | ) | `[inline]`

ostream * BasicPipe::getInStream | ( |  | ) |

int BasicPipe::getOutFD | ( |  | ) | `[inline]`

istream * BasicPipe::getOutStream | ( |  | ) |

void BasicPipe::moveInFD | ( | int | newFD | ) |

void BasicPipe::moveOutFD | ( | int | newFD | ) |

## Member Data Documentation

bool BasicPipe::fdOpen[2]`[private]`

std::ostream* BasicPipe::inStream `[private]`

std::istream* BasicPipe::outStream `[private]`

int BasicPipe::pipeFDs[2]`[private]`

The documentation for this class was generated from the following files:

- BasicPipe.h
- BasicPipe.cpp